.d-flex {
  display: flex;
}
.flex1 {
  flex: 1 1 auto;
}
.max-100 {
  max-width: 100%;
}
.justify-content-center {
  justify-content: center;
}
.p-1rem {
  padding: 1rem;
}
.p-2rem {
  padding: 2rem;
}
.mb-3 {
  margin-bottom: 1rem;
}
.align-items-center {
  align-items: center;
}
.flex-column {
  flex-direction: column;
}
input[type="radio"] {
  margin-right: 5px;
}
input[type="checkbox"] {
  margin-right: 8px;
  margin-left: 8px;
}
input[type="text"],
input[type="number"],
input[type="email"],
input[type="password"],
textarea,
select {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border-radius: 4px;
  box-sizing: border-box;
  border-inline: inherit;
  border: solid 1px #cecece;
  outline: inherit;
}
input[type="text"]:focus,
input[type="number"]:focus,
input[type="email"]:focus,
input[type="password"]:focus,
textarea:focus,
select:focus,
input[type="text"]:hover,
input[type="number"]:hover,
input[type="email"]:hover,
input[type="password"]:hover,
textarea:hover,
select:hover,
input[type="text"]:active,
input[type="number"]:active,
input[type="email"]:active,
input[type="password"]:active,
textarea:active,
select:active,
input[type="text"]:visited,
input[type="number"]:visited,
input[type="email"]:visited,
input[type="password"]:visited,
textarea:visited,
select:visited,
input[type="text"]:focus-visible,
input[type="number"]:focus-visible,
input[type="email"]:focus-visible,
input[type="password"]:focus-visible,
textarea:focus-visible,
select:focus-visible {
  border-inline: inherit;
  border: solid 1px #7c7c7c;
  outline: inherit;
}
input[type="text"]:focus,
input[type="number"]:focus,
input[type="email"]:focus,
input[type="password"]:focus,
textarea:focus,
select:focus,
input[type="text"]:active,
input[type="number"]:active,
input[type="email"]:active,
input[type="password"]:active,
textarea:active,
select:active,
input[type="text"]:visited,
input[type="number"]:visited,
input[type="email"]:visited,
input[type="password"]:visited,
textarea:visited,
select:visited,
input[type="text"]:focus-visible,
input[type="number"]:focus-visible,
input[type="email"]:focus-visible,
input[type="password"]:focus-visible,
textarea:focus-visible,
select:focus-visible {
  box-shadow: 0px 2px 5px 0.1rem #7c7c7c;
}
textarea {
  resize: vertical;
}
label.input-label {
  font-weight: normal;
  margin-bottom: 0;
}
input[type="radio"]:not(:first-of-type) {
  margin-left: 10px;
}
form > div {
  margin-bottom: 10px;
}
.label-title {
  width: 100%;
  margin-top: 20px;
  margin-bottom: 0px;
  font-size: 2rem;
  font-weight: bold;
}
button.btn[type="submit"] {
  margin-top: 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-size: 2.4rem;
  border: 1px solid transparent;
  padding: 10px 20px;
}
button.btn[type="submit"]:focus,
button.btn[type="submit"]:hover,
button.btn[type="submit"]:active,
button.btn[type="submit"]:visited,
button.btn[type="submit"]:focus-visible {
  border-inline: inherit;
  border: solid 1px #7c7c7c;
  outline: inherit;
}
button.btn[type="submit"]:focus,
button.btn[type="submit"]:active,
button.btn[type="submit"]:visited,
button.btn[type="submit"]:focus-visible {
  box-shadow: 0px 2px 5px 0.1rem #7c7c7c;
}
.container-price,
.label-title {
  padding-top: 20px;
  padding-bottom: 20px;
  border-top: solid 1px #a3a3a3;
  margin-top: 20px;
}
.container-price {
  text-align: right;
  border-bottom: solid 1px #a3a3a3;
}
.container-price strong {
  font-size: 2rem;
}
.container-rest {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}
.container-rest > div {
  display: inline-flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.paiements {
  display: flex;
  justify-content: center;
  gap: 15px;
  align-items: center;
  --card-line-height: 1.2em;
  --card-padding: 1em;
  --card-radius: 0.5em;
  --color-green: #558309;
  --color-gray: #e2ebf6;
  --color-dark-gray: #c4d1e1;
  --radio-border-width: 2px;
  --radio-size: 1.5em;
}
.paiements .card {
  background-color: #fff;
  border-radius: var(--card-radius);
  position: relative;
}
.paiements .radio {
  font-size: inherit;
  margin: 0;
  position: absolute;
  right: calc(var(--card-padding) + var(--radio-border-width));
  top: calc(1rem + 2px);
}
@supports (-webkit-appearance: none) or (-moz-appearance: none) {
  .paiements .radio {
    -webkit-appearance: none;
    -moz-appearance: none;
    background: #fff;
    border: var(--radio-border-width) solid var(--color-gray);
    border-radius: 50%;
    cursor: pointer;
    height: var(--radio-size);
    outline: none;
    transition: background 0.2s ease-out, border-color 0.2s ease-out;
    width: var(--radio-size);
  }
  .paiements .radio::after {
    border: var(--radio-border-width) solid #fff;
    border-top: 0;
    border-left: 0;
    content: '';
    display: block;
    height: 0.75rem;
    left: 25%;
    position: absolute;
    top: 50%;
    transform: rotate(45deg) translate(-50%, -50%);
    width: 0.375rem;
  }
  .paiements .radio:checked {
    background: var(--color-green);
    border-color: var(--color-green);
  }
  .paiements .card:hover .radio {
    border-color: var(--color-dark-gray);
  }
  .paiements .card:hover .radio:checked {
    border-color: var(--color-green);
  }
}
.paiements .plan-details {
  border: var(--radio-border-width) solid var(--color-gray);
  border-radius: var(--card-radius);
  cursor: pointer;
  display: flex;
  flex-direction: column;
  padding: var(--card-padding);
  transition: border-color 0.2s ease-out;
  padding-right: 45px;
}
.paiements .plan-details:focus-visible {
  outline: inherit;
}
.paiements .card:hover .plan-details {
  border-color: var(--color-dark-gray);
}
.paiements .radio:checked ~ .plan-details {
  border-color: var(--color-green);
}
.paiements .radio:disabled ~ .plan-details {
  color: var(--color-dark-gray);
  cursor: default;
}
.paiements .radio:disabled ~ .plan-details .plan-type {
  color: var(--color-dark-gray);
}
.paiements .card:hover .radio:disabled ~ .plan-details {
  border-color: var(--color-gray);
  box-shadow: none;
}
.paiements .card:hover .radio:disabled {
  border-color: var(--color-gray);
}
.paiements .plan-type {
  color: var(--color-green);
  font-size: 1.5rem;
  font-weight: bold;
  line-height: 1em;
}
.paiements .plan-cost {
  font-size: 2.5rem;
  font-weight: bold;
  padding: 0.5rem 0;
}
.paiements .slash {
  font-weight: normal;
}
.paiements .plan-cycle {
  font-size: 2rem;
  font-variant: none;
  border-bottom: none;
  cursor: inherit;
  text-decoration: none;
}
.paiements .hidden-visually {
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}
.langs {
  padding: 1rem;
}
